2019. április 20., szombat

Gyorskeresés

Támogatott AMD grafikus gyorsítók telepítése Ubuntu Linux 12.10 alatt egyszerűen és egyéb tapasztalataim

Írta: | Kulcsszavak: ubuntu . linux . ubuntu linux . 12.10 . ati . xvba . fglrx . tapasztalat

[ ÚJ BEJEGYZÉS ]

Sziasztok!

Történt a tegnapi napon, hogy hirtelen felindulásból telepítettem a Windowsom mellé Wubiban egy 12.10-es Ubuntut. Minden tök jól működött rajta, nagyon megtetszett, és arra gondoltam, mi lenne ha a Windows helyett elsődleges rendszerként kezdeném el használni? Így is lett, és fel is raktam az SSD-mre a rendszert.

Ezúton szeretném megköszönni az Ubuntu Linux topik tagjainak munkáját ls segítőkészségét, s engedjérek meg, hogy külön kiemeljem Syl, lionhearted, és Kendek útmutatásait, hisz nélkülük nem tudtam volna beállítani a megfelelő paramétereket FSTAB-ban.

Az utókor számára egy kis útmutatás innen:

SSD esetén mindenképp vedd fel a csatolási opciókhoz az /etc/fstab -ban a discard és noatime opciókat, ez nagyon fontos!

(sudo gedit /etc/fstab paranccsal kerül szerkeszthető állapotba a fájl!)

Mikor ezzel megvoltam akkor nekiláttam az FGLRX (ismertebb nevén zárt Ati Catalyst videókártya meghajtó program) telepítésének. Itt megint egy kis kitérőt kell tennem, s meg kell hogy köszönjem piotrektt -nek az Techhamlet-en nyújtott segítségét, miszerint a következők alapján lehet a drivert telepíteni:

(Az angol nyelvet kevésbé ismerők számára álljon itt egy fordítás tőlem, saját tapasztalataimmal, kiegészítéseimmel a könyebb olvashatóság érdekében) :

Az ATI eszközmeghajtó telepítése:

Alapprobléma: Található a rendszerben egy bug, ami a következőt okozza -> Amennyiben telepítés után lefuttatja az ember az eszközmeghajtótelepítót (FIXME: Minek fordították ezt a magyar lokalizációnál?) a szoftverforrások alatt az Ubuntu szoftverközpontban akkor az újraindulás után nem fog megjelenni az Unity felület, hanem csak a háttérkép az egérrel.

Magyarázat a problémára: Sajnálatos módon a rendszer alaptelepítésként nem telepíti fel a kernelforrásokat, így ezt nekünk kell megtennünk kézi módszerrel.

Megoldás:

Végre elérkeztünk ide is! :) Alapvetően három féle csoportot különböztethetünk meg a probléma szerint:

Az első az akinek hibrid grafikus megoldás van a laptopjába építve (jellemzően nVidia Optimus, AMD HybridGraphics) nekik sajnos nem tudok mit tanácsolni a nyílt eszközmeghajtó használatán kívül.

A második az, akinek már nem támogatott a grafikuskártyája az AMD által. Nekik a Legacy driver jelent(het) megoldást. Figyelem! Az aláábiakat nem teszteltem, de több fórumon írják, hogy működik.

Ehhez a következő a leírás:

• Vegyük fel a szükséges PPA tárolót: sudo add-apt-repository ppa:makson96/fglrx
• Frissítsük a csomagadatbázist: sudo apt-get update
• Frissítsük a csomagokat: sudo apt-get upgrade
• Telepítsük a legacy drivert: sudo apt-get install fglrx-legacy

Ezután indítsuk újra a gépet, és elméletileg mennie kell.

Végezetül van a harmadik csoport - melybe én is tartozom egy HD5770-es VGA-val - aki a legfrisebb AMD drivert használhatja a következők szerint:

• Indítsuk el a Terminált.
• Telepítsük fel a kernelforrásokat: sudo apt-get install linux-source
• Tegyünk ugyanígy a kernelhez tartózó fejlécfájlokkal is: sudo apt-get install linux-headers-3.5.0-17-generic

(A telepítés után be is zárhatjuk az ablakot)

• Az Ubuntu Szoftverközpontot elindítva a Szoftverforrások ablak utolsó fülén engedélyrzzük az fglrx-updates használatát. Alkalmazva a beállításokat , a telepítés végeztével indítsuk újra a gépet.
• Újraindítás után működnie kell - nekem legalábbis jó. :)
• Végül a terminálban adjuk ki a következőt: sudo apt-get install linux-headers-generic

Ez fel fogja telepíteni a szükséges modulokat a későbbi frissítésekhez.

Az XvBA beüzemelése:

Mire jó?

Ez az nVidiás VDPAU hardveres gyorsító réteg AMD-s megfelelője. Röviden annyi a lényege, hogy egy-egy nagyobb MKV illetve BluRay filmnél nem a processzornak kell mindent számolnia, hanem bekapcsolódik a GPU is a munkába.

Telepítése: (A megoldásért köszönet illeti a CCHTML-t)

• Add ki a következő parancsot terminálban (ez feltesz minden szükséges csomagot)
sudo apt-get install xvba-va-driver libva-glx1 vainfo
• Ez után indítsd el a vainfot a vainfo paranccsal.
• Amennyiben ilyen:

libva: libva version 0.32.0
Xlib: extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.32
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
VAProfileH264High : VAEntrypointVLD
VAProfileVC1Advanced : VAEntrypointVLD

vagy ilyen:

libva: VA-API version 0.32.0
Xlib: extension "XFree86-DRI" missing on display ":0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/x86_64-linux-gnu/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA-API version: 0.32 (libva 1.0.15)
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
VAProfileH264High : VAEntrypointVLD
VAProfileVC1Advanced : VAEntrypointVLD

A program kimenete akkor jó úton jársz.

• Tegyél fel egy VLC Playert a Szoftverközpontból, majd állítsd be az Eszközök / [Tulajdonságok vagy Beállítások] alatt a Bemenet és Kodek (ötödik gom fentről) fülön a GPU által gyorsítótt dekódolás használatát (legfelső jelölőnyégyzet)

Egyelőre ennyi lenne. :)

Köszönöm mindenkinek a segítséget!

U.i.: A félreértések elkerülése végett a műveletek végrehajtásakor szűz, frissítések nélküli telepítést feltételezek. :)

Hozzászólások

(#1) core2


core2
(PH! kedvence)
LOGOUT blog

Várom a pozitív / negatív kritikát, s hogy mivel egészítsem ki esetleg. :)

Üdv. core2

Ascende superius

(#2) God Vazzeg válasza core2 (#1) üzenetére


God Vazzeg
(PH! kedvence)

• Indítsuk el a Terminált.
• Telepítsük fel a kernelforrásokat: sudo apt-get install linux-source
• Tegyünk ugyanígy a kernelhez tartózó fejlécfájlokkal is: sudo apt-get install linux-headers-3.5.0-17-generic

A fentieknél mindenkinek az adott kernel verzióhoz való headert kell telepíteni. Nem mindenkinek ez a verzió van. Szerintem :)

Erősáramú találmány gyártási joga eladó! Érd: priviben!

(#3) core2 válasza God Vazzeg (#2) üzenetére


core2
(PH! kedvence)
LOGOUT blog

Frissítések nélküli, friss telepítést feltételeztem :) Jogos, beleírom :)

Üdv. core2

Ascende superius

(#4) God Vazzeg válasza core2 (#3) üzenetére


God Vazzeg
(PH! kedvence)

Ja még annyi, hogy ha jól emlékszem ilyesmit olvastam régebben:

Ez helyett:
sudo apt-get install linux-headers-3.5.0-17-generic

Írjad ezt:
sudo apt-get install linux-headers-"uname -r"

Így mindig az adott kernelhez tartozó header lesz telepítve és nincs problem :)

(Azért teszteld be :B :D )

Erősáramú találmány gyártási joga eladó! Érd: priviben!

(#5) core2 válasza God Vazzeg (#4) üzenetére


core2
(PH! kedvence)
LOGOUT blog

Nem véletlenül írtam azt, hogy csak frissítések nélküli rendszeren megy alapból. :) Kipróbáltam azt, hogy alapból mindenből generic kerül fel, és úgy nem ment.

Üdv. core2

Ascende superius

(#6) God Vazzeg válasza core2 (#5) üzenetére


God Vazzeg
(PH! kedvence)

Jó, de így univerzális lesz, minden rendszerre jó lesz az írásod :)

Erősáramú találmány gyártási joga eladó! Érd: priviben!

(#7) core2 válasza God Vazzeg (#6) üzenetére


core2
(PH! kedvence)
LOGOUT blog

Köszönöm, de most nem tudom letesztelni, hogy jó-e ez így (bár biztos). Így a leírásban maximum akkor lehet hiba, ha sehogyan sem támogatott a telepített eszköz. Nem akarom az újonnan érkezőket bekavarni, mert aztán tovább tart a topikban a debug mint újból a leírás szerint nekikezdeni. :)

Üdv. core2

[ Szerkesztve ]

Ascende superius

További hozzászólások megtekintése...
Copyright © 2000-2019 PROHARDVER Informatikai Kft.